<!doctype html>
<html lang="fr">
<head>
  <meta charset="utf-8">
  <title>$MSPCAT on Solana</title>
  <meta name="description" content="Join Whiskerdoodle, the mischievous digital cat in MS Paint, on a quirky quest for crypto coins. Witness his playful pranks with pixel mice, laugh at his silly self-portraits, and discover a hidden trove of crypto coins in his captivating digital adventures.">
  <link rel="stylesheet" href="css/style.css">
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=VT323&display=swap" rel="stylesheet">
  
  <link rel="apple-touch-icon" sizes="180x180" href="img/fav/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="img/fav/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="img/fav/favicon-16x16.png">
  <link rel="manifest" href="img/fav/site.webmanifest">
  <link rel="mask-icon" href="img/fav/safari-pinned-tab.svg" color="#00007f">
  <meta name="msapplication-TileColor" content="#2d89ef">
  <meta name="theme-color" content="#ffffff">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Matomo -->
  <script>
	var _paq = window._paq = window._paq || [];
	/* tracker methods like "setCustomDimension" should be called before "trackPageView" */
	_paq.push(['trackPageView']);
	_paq.push(['enableLinkTracking']);
	(function() {
	  var u="//stats.imaxdev.fr/";
	  _paq.push(['setTrackerUrl', u+'matomo.php']);
	  _paq.push(['setSiteId', '4']);
	  var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
	  g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
	})();
  </script>
  <!-- End Matomo Code -->
</head>
<body>
  <div class="head">
	  <div class="zone_1">
	  <h1>$MSPCAT</h1>
	  <div class="paint-window">
		  <img src="img/title-2.png" class="titre_mspcat" alt="MSPCAT" />
		  <img src="img/title-1.png" class="titre_mspcat" alt="MSPCAT" />
	  </div>
	  </div>
	  <div>
		  <a href="https://dexscreener.com/solana/4doshitsosvmyb1angpj8vaw5oxhn4ka6wqtmbgn99mj" target="_blank" class="lien_contrat">AwQ7cz5UNbgTU8FY1vnZeA5RMLXLyjxwXuS5wcqYFtGs</a>
	  </div>
  </div>
  <div class="cont_iframe">
	  <!--<iframe src="../jspaint-master/index.html" id="jspaint-iframe" width="100%" height="100%"></iframe>-->
	  <iframe src="https://www.mspcat.xyz/MSPCATPAINT/" id="jspaint-iframe" width="100%" height="100%"></iframe>
	  
  </div>
  <div class="center">
	  <p class="big_txt">Take control of MSPCAT by creating memes that you can easily share</p>
	  <div class="pixel2" id="pixel2">Generate my MSPCAT meme</div>
	  <div id="cont_meme">
		  
	  </div>
	  <p class="big_txt mt-big txt-max-w">If you like the site and want to support the project (server costs and domain name) or if you want to see it evolve, you can donate at the address below. I've got lots of ideas for improvements (gallery of creations, NFT, competitions, etc.) but it will take time.</p>
	  <p class="big_txt">Donate : BiVEyHb6iCB1YvcywNbfc4CaxNCoWQYE8REFp7EhkPbY</p>
  </div>
  <div class="footer">
	  <a href="https://github.com/1j01/jspaint?tab=readme-ov-file" target="_blank" class="lien_github">Thank to 1j01/jspaint <img src="img/github.png" class="github" /></a>
	  <p>©2024</p>
  </div>
  <script>
	  	
		 document.getElementById("pixel2").addEventListener("click", function(event) {

			 
			 fetch('https://www.mspcat.xyz/share.php', {
			 //fetch('https://mspcat.imaxdev.fr//share.php', {
				 method: 'POST',
				 headers: {
					 'Content-Type': 'application/x-www-form-urlencoded',
				 },
				 body: new URLSearchParams({
					 'blob': localStorage.getItem("MSPCAT_LAST_BLOB")
				 }).toString()
			 })
			 .then(response => response.text())
			 .then(data => {
				 var div = document.getElementById('cont_meme');
				 var img_gen = "https://www.mspcat.xyz/"+data;
				 
				 div.innerHTML = '';
				 
				 div.innerHTML = '<img src="' +img_gen + '" alt="$MSPCAT" class="img_gen"/><br /><br /><a class="pixel2 btn2" href="'+img_gen+'" download>Download</a>';
			 })
			 .catch(error => {
				 console.error('Erreur:', error);
			 });
		 });
		 // Votre code ici
  </script>
</body>
</html>